Gestiono
Referencia de APIChats / Conversation List

Update Conversation List

PATCH /v1/conversation-list • validated by `patchConversationListSchema`

← Back to full API reference
PATCH/v1/conversation-listAuthentication required
  • Validated by Zod schema: patchConversationListSchema.

Request details

Path params

No path parameters for this endpoint.

Query params

No explicit query schema was captured for this endpoint.

Body fields

  • id (required)

    Type: string

  • name

    Type: string

  • source

    Type: enum

    Example: form

  • filter

    Type: object

  • filter.channelTypes

    Type: array

    Example:

  • filter.channelTypes[] (required)

    Type: string

  • filter.form

    Type: object

  • filter.form.id (required)

    Type: number

  • filter.form.phoneField (required)

    Type: string

  • filter.form.nameField (required)

    Type: string

  • filter.purchases

    Type: object

  • filter.purchases.resourceIds (required)

    Type: array

    Example:

  • filter.purchases.resourceIds[] (required)

    Type: number

  • filter.purchases.match

    Type: enum

    Example: ANY

  • filter.purchases.dateRange

    Type: object

  • filter.purchases.dateRange.from

    Type: string

  • filter.purchases.dateRange.to

    Type: string

Default payloads

Path params

json
{}

Query

json
{}

Body

json
{
  "id": "00000000-0000-0000-0000-000000000000"
}

Sample response

json
"<updated>"

Test this endpoint now

Use your own credentials and execute a live request directly from this page.

1. Configure authentication for testing

You can test endpoints with signed API keys, a raw Authorization token, or browser cookies. Select one mode and fill in the required fields.

2. Select endpoint

PATCH/v1/conversation-listAuthentication required

Group: Chats / Conversation List

PATCH /v1/conversation-list • validated by `patchConversationListSchema`

  • Validated by Zod schema: patchConversationListSchema.

Body fields

  • idrequired
    Type: string
  • name
    Type: string
  • source
    Type: enum
    Ejemplo: form
  • filter
    Type: object
  • filter.channelTypes
    Type: array
    Ejemplo:
  • filter.channelTypes[]required
    Type: string
  • filter.form
    Type: object
  • filter.form.idrequired
    Type: number
  • filter.form.phoneFieldrequired
    Type: string
  • filter.form.nameFieldrequired
    Type: string
  • filter.purchases
    Type: object
  • filter.purchases.resourceIdsrequired
    Type: array
    Ejemplo:
  • filter.purchases.resourceIds[]required
    Type: number
  • filter.purchases.match
    Type: enum
    Ejemplo: ANY
  • filter.purchases.dateRange
    Type: object
  • filter.purchases.dateRange.from
    Type: string
  • filter.purchases.dateRange.to
    Type: string

3. Prepare request payload

4. Server response

Run a request to inspect the real-time response for your environment.